Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226181 - Merge Review: nano
Summary: Merge Review: nano
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: 220527
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:14 UTC by Nobody's working on this, feel free to take it
Modified: 2007-12-08 07:24 UTC (History)
2 users (show)

Fixed In Version: 2.0.6-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-12-08 07:24:35 UTC
tibbs: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:14:32 UTC
Fedora Merge Review: nano

http://cvs.fedora.redhat.com/viewcvs/devel/nano/
Initial Owner: dwmw2@redhat.com

Comment 1 Jason Tibbitts 2007-02-03 17:22:28 UTC
Nice, a CC got added and I lost the entire review.  Let's try this again in an external editor.

First, a couple of rpmlint complaints:

W: nano file-not-utf8 /usr/share/man/fr/man1/rnano.1.gz
   Just needs judicious application of iconf like the other two manpages.
W: nano prereq-use /sbin/install-info
   The Prereq: line should be replaced with:
   Requires(post): /sbin/install-info
   Requires(preun): /sbin/install-info

Other than those two items, the issues are the BuildRoot:, the scriptlets and
perhaps checking to see if it would be reasonable to update to 2.0.3.

Review:
* source files match upstream:
   f5537b8a988618fa8524b6a4b0a6950184d37db983b4521ad843b98845da571c
   nano-1.3.12.tar.gz
O package meets naming and versioning guidelines.
   Release: should probably be an integer, but since the dist tag isn't being
   used, this looks like a sub-release bump and I don't believe it violates
   any guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
O dist tag is not present.
X build root is not correct; should be
  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
  Whether this is absolutely mandatory depends on a decision by FESCo, which
  should happen over the weekend.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
O latest version is not being packaged.
   The current upstream version seems to be 2.0.3.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock.
* debuginfo package looks complete.
X rpmlint is silent.
* final provides and requires are sane:
   nano = 1.3.12-1.1
  =
   /bin/sh
   /sbin/install-info
   libncursesw.so.5
* %check is not present, no test suite upstream.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
X scriptlets not OK:
   The install-info calls need "||:" at the end or a nodocs install will fail.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

Comment 2 Jason Tibbitts 2007-02-23 16:04:11 UTC
Setting flags appropriately according to the finally finalized procedure.

There's really not much to be fixed here, just a few easy tweaks to the
specfile.    If I can find the time I'll try to make a patch to the specfile.

Comment 3 Jason Tibbitts 2007-12-08 07:24:35 UTC
Looks like Florian fixed most of the issues back in February.  The only
remaining thing was a missed call to iconv for the rnano manpage, which I've added.

I committed the changed package and went ahead and pushed a build.  That should
close out this review.


Note You need to log in before you can comment on or make changes to this bug.